vpPath                 package:grid                 R Documentation

Concatenate Viewport Names

Description:

     This function can be used to generate a viewport path for use in
     'downViewport' or 'seekViewport'.

     A viewport path is a list of nested viewport names.

Usage:

     vpPath(...)

Arguments:

     ...: Character values which are viewport names. 

Details:

     Viewport names must only be unique amongst viewports which share
     the same parent in the viewport tree.

     This function can be used to generate a specification for a
     viewport that includes the viewport's parent's name (and the name
     of its parent and so on).

     For interactive use, it is possible to directly specify a path,
     but it is strongly recommended that this function is used
     otherwise in case the path separator is changed in future versions
     of grid.

Value:

     A ' vpPath ' object.

See Also:

     'viewport', 'pushViewport', 'popViewport', 'downViewport',
     'seekViewport', 'upViewport'

Examples:

     vpPath("vp1", "vp2")

